JBoss API: Class RMIConnectorImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.server
Class RMIConnectorImpl

    java.lang.Object
      |
      +--java.rmi.server.RemoteObject
            |
            +--java.rmi.server.RemoteServer
                  |
                  +--java.rmi.server.UnicastRemoteObject
                        |
                        +--org.jboss.jmx.server.RMIConnectorImpl

All Implemented Interfaces:
  java.rmi.Remote, RMIConnector, java.io.Serializable

public class RMIConnectorImpl
extends java.rmi.server.UnicastRemoteObject
implements RMIConnector

RMI Interface for the server side Connector which is nearly the same as the MBeanServer Interface but has an additional RemoteException.
AS 8/18/00
Add the ObjectHandler to enable this server-side implementation to instantiate objects locally but enable the client to use them as parameter from the client side transparently (except that the user cannot invoke a method on this instance).

Author:
  Rickard Öberg (rickard.oberg@telkel.com), Andreas "Mad" Schaefer
See Also:
  Serialized Form

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RMIConnectorImpl(javax.management.MBeanServer pServer)`

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName pName, RMINotificationListener pListener, javax.management.NotificationFilter pFilter, java.lang.Object pHandback)` Adds a given remote notification listeners to the given Broadcaster.
`javax.management.ObjectInstance` | `createMBean(java.lang.String pClassName, javax.management.ObjectName pName)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String pClassName, javax.management.ObjectName pName, java.lang.Object[] pParams, java.lang.String[] pSignature)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String pClassName, javax.management.ObjectName pName, javax.management.ObjectName pLoaderName)`
`javax.management.ObjectInstance` | `createMBean(java.lang.String pClassName, javax.management.ObjectName pName, javax.management.ObjectName pLoaderName, java.lang.Object[] pParams, java.lang.String[] pSignature)`
`java.lang.Object` | `getAttribute(javax.management.ObjectName pName, java.lang.String pAttribute)`
`javax.management.AttributeList` | `getAttributes(javax.management.ObjectName pName, java.lang.String[] pAttributes)`
`java.lang.String` | `getDefaultDomain()`
`java.lang.Integer` | `getMBeanCount()`
`javax.management.MBeanInfo` | `getMBeanInfo(javax.management.ObjectName pName)`
`javax.management.ObjectInstance` | `getObjectInstance(javax.management.ObjectName pName)`
`java.lang.Object` | `instantiate(java.lang.String pClassName)`
`java.lang.Object` | `instantiate(java.lang.String pClassName, java.lang.Object[] pParams, java.lang.String[] pSignature)`
`java.lang.Object` | `instantiate(java.lang.String pClassName, javax.management.ObjectName pLoaderName)`
`java.lang.Object` | `instantiate(java.lang.String pClassName, javax.management.ObjectName pLoaderName, java.lang.Object[] pParams, java.lang.String[] pSignature)`
`java.lang.Object` | `invoke(javax.management.ObjectName pName, java.lang.String pActionName, java.lang.Object[] pParams, java.lang.String[] pSignature)`
`boolean` | `isInstanceOf(javax.management.ObjectName pName, java.lang.String pClassName)`
`boolean` | `isRegistered(javax.management.ObjectName pName)`
`java.util.Set` | `queryMBeans(javax.management.ObjectName pName, javax.management.QueryExp pQuery)`
`java.util.Set` | `queryNames(javax.management.ObjectName pName, javax.management.QueryExp pQuery)`
`javax.management.ObjectInstance` | `registerMBean(java.lang.Object pObjectHandler, javax.management.ObjectName pNameToAssign)`
`void` | `removeNotificationListener(javax.management.ObjectName pName, RMINotificationListener pListener)`
`void` | `setAttribute(javax.management.ObjectName pName, javax.management.Attribute pAttribute)`
`javax.management.AttributeList` | `setAttributes(javax.management.ObjectName pName, javax.management.AttributeList pAttributes)`
`void` | `unregisterMBean(javax.management.ObjectName pName)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMIConnectorImpl

    public RMIConnectorImpl(javax.management.MBeanServer pServer)
                     throws java.rmi.RemoteException

Method Detail

### instantiate

    public java.lang.Object instantiate(java.lang.String pClassName)
                                 throws javax.management.ReflectionException,
                                        javax.management.MBeanException,
                                        java.rmi.RemoteException

  Specified by:
    `instantiate` in interface `RMIConnector`

### instantiate

    public java.lang.Object instantiate(java.lang.String pClassName,
                                        javax.management.ObjectName pLoaderName)
                                 throws javax.management.ReflectionException,
                                        javax.management.MBeanException,
                                        javax.management.InstanceNotFoundException,
                                        java.rmi.RemoteException

  Specified by:
    `instantiate` in interface `RMIConnector`

### instantiate

    public java.lang.Object instantiate(java.lang.String pClassName,
                                        java.lang.Object[] pParams,
                                        java.lang.String[] pSignature)
                                 throws javax.management.ReflectionException,
                                        javax.management.MBeanException,
                                        java.rmi.RemoteException

  Specified by:
    `instantiate` in interface `RMIConnector`

### instantiate

    public java.lang.Object instantiate(java.lang.String pClassName,
                                        javax.management.ObjectName pLoaderName,
                                        java.lang.Object[] pParams,
                                        java.lang.String[] pSignature)
                                 throws javax.management.ReflectionException,
                                        javax.management.MBeanException,
                                        javax.management.InstanceNotFoundException,
                                        java.rmi.RemoteException

  Specified by:
    `instantiate` in interface `RMIConnector`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String pClassName,
                                                       javax.management.ObjectName pName)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       java.rmi.RemoteException

  Specified by:
    `createMBean` in interface `RMIConnector`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String pClassName,
                                                       javax.management.ObjectName pName,
                                                       javax.management.ObjectName pLoaderName)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.rmi.RemoteException

  Specified by:
    `createMBean` in interface `RMIConnector`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String pClassName,
                                                       javax.management.ObjectName pName,
                                                       java.lang.Object[] pParams,
                                                       java.lang.String[] pSignature)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       java.rmi.RemoteException

  Specified by:
    `createMBean` in interface `RMIConnector`

### createMBean

    public javax.management.ObjectInstance createMBean(java.lang.String pClassName,
                                                       javax.management.ObjectName pName,
                                                       javax.management.ObjectName pLoaderName,
                                                       java.lang.Object[] pParams,
                                                       java.lang.String[] pSignature)
                                                throws javax.management.ReflectionException,
                                                       javax.management.InstanceAlreadyExistsException,
                                                       javax.management.MBeanRegistrationException,
                                                       javax.management.MBeanException,
                                                       javax.management.NotCompliantMBeanException,
                                                       javax.management.InstanceNotFoundException,
                                                       java.rmi.RemoteException

  Specified by:
    `createMBean` in interface `RMIConnector`

### registerMBean

    public javax.management.ObjectInstance registerMBean(java.lang.Object pObjectHandler,
                                                         javax.management.ObjectName pNameToAssign)
                                                  throws javax.management.InstanceAlreadyExistsException,
                                                         javax.management.MBeanRegistrationException,
                                                         javax.management.NotCompliantMBeanException,
                                                         java.rmi.RemoteException

  Specified by:
    `registerMBean` in interface `RMIConnector`

### unregisterMBean

    public void unregisterMBean(javax.management.ObjectName pName)
                         throws javax.management.InstanceNotFoundException,
                                javax.management.MBeanRegistrationException,
                                java.rmi.RemoteException

  Specified by:
    `unregisterMBean` in interface `RMIConnector`

### getObjectInstance

    public javax.management.ObjectInstance getObjectInstance(javax.management.ObjectName pName)
                                                      throws javax.management.InstanceNotFoundException,
                                                             java.rmi.RemoteException

  Specified by:
    `getObjectInstance` in interface `RMIConnector`

### queryMBeans

    public java.util.Set queryMBeans(javax.management.ObjectName pName,
                                     javax.management.QueryExp pQuery)
                              throws java.rmi.RemoteException

  Specified by:
    `queryMBeans` in interface `RMIConnector`

### queryNames

    public java.util.Set queryNames(javax.management.ObjectName pName,
                                    javax.management.QueryExp pQuery)
                             throws java.rmi.RemoteException

  Specified by:
    `queryNames` in interface `RMIConnector`

### isRegistered

    public boolean isRegistered(javax.management.ObjectName pName)
                         throws java.rmi.RemoteException

  Specified by:
    `isRegistered` in interface `RMIConnector`

### isInstanceOf

    public boolean isInstanceOf(javax.management.ObjectName pName,
                                java.lang.String pClassName)
                         throws javax.management.InstanceNotFoundException,
                                java.rmi.RemoteException

  Specified by:
    `isInstanceOf` in interface `RMIConnector`

### getMBeanCount

    public java.lang.Integer getMBeanCount()
                                    throws java.rmi.RemoteException

  Specified by:
    `getMBeanCount` in interface `RMIConnector`

### getAttribute

    public java.lang.Object getAttribute(javax.management.ObjectName pName,
                                         java.lang.String pAttribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.InstanceNotFoundException,
                                         javax.management.ReflectionException,
                                         java.rmi.RemoteException

  Specified by:
    `getAttribute` in interface `RMIConnector`

### getAttributes

    public javax.management.AttributeList getAttributes(javax.management.ObjectName pName,
                                                        java.lang.String[] pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.rmi.RemoteException

  Specified by:
    `getAttributes` in interface `RMIConnector`

### setAttribute

    public void setAttribute(javax.management.ObjectName pName,
                             javax.management.Attribute pAttribute)
                      throws javax.management.InstanceNotFoundException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException,
                             java.rmi.RemoteException

  Specified by:
    `setAttribute` in interface `RMIConnector`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.ObjectName pName,
                                                        javax.management.AttributeList pAttributes)
                                                 throws javax.management.InstanceNotFoundException,
                                                        javax.management.ReflectionException,
                                                        java.rmi.RemoteException

  Specified by:
    `setAttributes` in interface `RMIConnector`

### invoke

    public java.lang.Object invoke(javax.management.ObjectName pName,
                                   java.lang.String pActionName,
                                   java.lang.Object[] pParams,
                                   java.lang.String[] pSignature)
                            throws javax.management.InstanceNotFoundException,
                                   javax.management.MBeanException,
                                   javax.management.ReflectionException,
                                   java.rmi.RemoteException

  Specified by:
    `invoke` in interface `RMIConnector`

### getDefaultDomain

    public java.lang.String getDefaultDomain()
                                      throws java.rmi.RemoteException

  Specified by:
    `getDefaultDomain` in interface `RMIConnector`

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName pName,
                                        RMINotificationListener pListener,
                                        javax.management.NotificationFilter pFilter,
                                        java.lang.Object pHandback)
                                 throws javax.management.InstanceNotFoundException,
                                        java.rmi.RemoteException

  Adds a given remote notification listeners to the given Broadcaster. Please note that this is not the same as within the MBeanServer because it is protocol specific.
  Specified by:
    `addNotificationListener` in interface `RMIConnector`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName pName,
                                           RMINotificationListener pListener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.rmi.RemoteException

  Specified by:
    `removeNotificationListener` in interface `RMIConnector`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo(javax.management.ObjectName pName)
                                            throws javax.management.InstanceNotFoundException,
                                                   javax.management.IntrospectionException,
                                                   javax.management.ReflectionException,
                                                   java.rmi.RemoteException

  Specified by:
    `getMBeanInfo` in interface `RMIConnector`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.